| CMSIS-DSP Version 1.4.4 CMSIS DSP Software Library

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_matrix_instance_q31 Struct Reference

Instance structure for the Q31 matrix structure.

## Data Fields

uint16_t | numRows
uint16_t | numCols
q31_t * | pData

## Field Documentation

uint16_t arm_matrix_instance_q31::numCols

number of columns of the matrix.

Referenced by arm_mat_add_q31(), arm_mat_cmplx_mult_q31(), arm_mat_init_q31(), arm_mat_mult_fast_q31(), arm_mat_mult_q31(), arm_mat_scale_q31(), arm_mat_sub_q31(), and arm_mat_trans_q31().

uint16_t arm_matrix_instance_q31::numRows

number of rows of the matrix.

Referenced by arm_mat_add_q31(), arm_mat_cmplx_mult_q31(), arm_mat_init_q31(), arm_mat_mult_fast_q31(), arm_mat_mult_q31(), arm_mat_scale_q31(), arm_mat_sub_q31(), and arm_mat_trans_q31().

q31_t* arm_matrix_instance_q31::pData

points to the data of the matrix.

Referenced by arm_mat_add_q31(), arm_mat_cmplx_mult_q31(), arm_mat_init_q31(), arm_mat_mult_fast_q31(), arm_mat_mult_q31(), arm_mat_scale_q31(), arm_mat_sub_q31(), and arm_mat_trans_q31().